An option to tell Composer/Atlas to avoid put a label near the border
Priority: Normal

Assignee:
Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18739

Description

An useful enhancement for composer could be an option to avoid qgis put a label (every label from every layer in project) too near to the

border. 

Giving a limit in meters or in pixel.

QGIS avoid to put any label overlapping fully or partially the limit.

This help to produce (in the composer/atlas) some mosaicable and partially overlapping rasters.

Associated revisions

Revision ed25a3e2 - 2018-12-15 02:28 AM - Nyall Dawson

[FEATURE][layouts] Add setting for label margin for map items

This setting allows per-map control of how close labels are permitted

to be placed to the map item's edges.

Sizes can be set using mm/inches/pixels/etc, and data defined

label margins are allowed.

Fixes #10314

History

#1 - 2014-05-21 01:14 AM - Nyall Dawson

- Category changed from Map Composer/Printing to Labelling

There's an option in the global label settings to prevent clipped labels at the edge of maps. I think this request is just an extension of that option, and since

it's not necesarily a composer specific feature I'm moving it to the labelling category.

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-12-15 02:28 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ed25a3e2ee51e38ef5ab64f1753ed3e5f1d8c892.
